Internal-Operations

# Class: WideImage_Operation_ResizeCanvas

Source Location: /Operation/ResizeCanvas.php

### Class Overview

ResizeCanvas operation class

### Methods

- execute

### Class Details

[line 30]
ResizeCanvas operation class
[ Top ]

### Class Methods

### method execute [line 47]

`WideImage_Image execute( WideImage_Image $img, smart_coordinate $width, smart_coordinate $height, smart_coordinate $left, smart_coordinate $top, int $color, string $scale, boolean $merge)`

Returns an image with a resized canvas

The image is filled with $color. Use $scale to determine, when to resize.

#### Parameters:

WideImage_Image | $img |
smart_coordinate | $width |
smart_coordinate | $height |
smart_coordinate | $left |
smart_coordinate | $top |
int | $color |
string | $scale | 'up', 'down', 'any'
boolean | $merge |

[ Top ]

Documentation generated on Sat, 19 Feb 2011 12:55:43 +0100 by phpDocumentor 1.4.3